#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 29. Introduction to KDE

- Prev

  extra-cmake-modules-6.11.0

- Next

  Phonon-backend-vlc-0.12.0

- Up
- Home

# Phonon-4.12.0

## Introduction to Phonon

Phonon is the multimedia API for KDE. It replaces the old aRts package. Phonon needs the VLC backend.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/phonon/4.12.0/phonon-4.12.0.tar.xz

- Download MD5 sum: e80e9c73967080016bdb3c0ee514ceab

- Download size: 400 KB

- Estimated disk space required: 23 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Phonon Dependencies

#### Required

CMake-3.31.5, extra-cmake-modules-6.11.0, GLib-2.82.5, and Qt-6.8.2

phonon-backend-vlc-0.12.0 needs to be installed afterwards for multimedia operation in KDE.

#### Optional

PulseAudio-17.0

## Installation of Phonon

Install Phonon by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D PHONON_BUILD_QT5=OFF      \
          -W no-dev .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of the compiler optimizations.

`-D PHONON_BUILD_QT5=OFF`: This switch is needed to prevent building the Qt5 bindings, which fails if Qt5 is not installed.

## Contents

Installed Programs: phononsettings
Installed Libraries: libphonon4qt6.so and libphonon4qt6experimental.so
Installed Directories: /usr/include/phonon4qt6, /usr/lib/cmake/phonon4qt6, and /usr/lib/plugins/designer

- Prev

  extra-cmake-modules-6.11.0

- Next

  Phonon-backend-vlc-0.12.0

- Up
- Home